package main

import (
  "fmt"
  "net/http"
  "io"
  "os"
)

func getUrl(u string) ([]byte, bool) {
  r, err := http.Get(u)
  if err != nil {
    fmt.Fprintf(os.Stderr, "Could not retrieve %s\n%s", u, err.Error())
    return []byte{}, true
  }
  defer r.Body.Close()
  body, err := io.ReadAll(r.Body)
  if err != nil || r.StatusCode > 299 {
    fmt.Fprintf(os.Stderr, "Could not retrieve %s\n%s", u, err.Error())
    return []byte{}, true
  }
  return body, false
}
